Skip to main content
POST
/
crm
/
v3
/
pipelines
/
{objectType}
Create a pipeline
curl --request POST \
  --url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 0,
  "label": "My replaced pipeline",
  "stages": [
    {
      "displayOrder": 0,
      "label": "In Progress",
      "metadata": {
        "ticketState": "OPEN"
      }
    },
    {
      "displayOrder": 1,
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      }
    }
  ]
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "displayOrder": 0,
  "id": "812723471",
  "label": "My ticket pipeline",
  "stages": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234912",
      "label": "In Progress",
      "metadata": {
        "ticketState": "OPEN"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    },
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234914",
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

Body

application/json

An input used to create or replace a pipeline's definition.

displayOrder
integer<int32>
required

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

label
string
required

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

stages
object[]
required

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

pipelineId
string

Response

successful operation

A pipeline definition.

archived
boolean
required

Whether the pipeline is archived.

createdAt
string<date-time>
required

The date the pipeline stage was created. The stages on default pipelines will have createdAt = 0.

displayOrder
integer<int32>
required

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

id
string
required

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline stage.

label
string
required

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

stages
object[]
required

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
required

The date the pipeline stage was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Last modified on February 12, 2026